---
title: Intl.ListFormat.supportedLocalesOf()
slug: Web/JavaScript/Reference/Global_Objects/Intl/ListFormat/supportedLocalesOf
tags:
  - Internationalization
  - Intl
  - JavaScript
  - ListFormat
  - Method
  - supportedLocalesOf
---
<p>{{JSRef}}</p>

<p>The <strong><code>Intl.ListFormat.supportedLocalesOf()</code></strong> method returns an array containing those of the provided locales that are supported in date and time formatting without having to fall back to the runtime's default locale.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Intl.ListFormat.supportedLocalesOf(<var>locales</var>[, <var>options</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>locales</var></code></dt>
 <dd>A string with a BCP 47 language tag, or an array of such strings. For the general form of the <code>locales</code> argument, see the {{jsxref("Intl", "Intl page", "#Locale_identification_and_negotiation", 1)}}.</dd>
 <dt><code><var>options</var></code></dt>
 <dd>
 <p>Optional. An object that may have the following property:</p>

 <dl>
  <dt><code>localeMatcher</code></dt>
  <dd>The locale matching algorithm to use. Possible values are <code>lookup</code> and <code>best fit</code>; the default is <code>best fit</code>. For information about this option, see the {{jsxref("Intl", "Intl page", "#Locale_negotiation", 1)}}.</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>An array of strings representing a subset of the given locale tags that are supported in date and time formatting without having to fall back to the runtime's default locale.</p>

<h2 id="Description">Description</h2>

<p>Returns an array with a subset of the language tags provided in <code>locales</code>. The language tags returned are those for which the runtime supports a locale in date and time formatting that the locale matching algorithm used considers a match, so that it wouldn't have to fall back to the default locale.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_supportedLocalesOf">Using supportedLocalesOf()</h3>

<p>Assuming a runtime that supports Indonesian and German but not Balinese in date and time formatting, <code>supportedLocalesOf</code> returns the Indonesian and German language tags unchanged, even though pinyin collation is neither relevant to date and time formatting nor used with Indonesian, and a specialized German for Indonesia is unlikely to be supported. Note the specification of the <code>lookup</code> algorithm here — a <code>best fit</code> matcher might decide that Indonesian is an adequate match for Balinese since most Balinese speakers also understand Indonesian, and therefore return the Balinese language tag as well.</p>

<pre class="brush: js notranslate">const locales = ['ban', 'id-u-co-pinyin', 'de-ID'];
const options = { localeMatcher: 'lookup' };
console.log(Intl.ListFormat.supportedLocalesOf(locales, options).join(', '));
// → "id-u-co-pinyin, de-ID"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Intl.ListFormat', '#sec-Intl.ListFormat.supportedLocalesOf', 'supportedLocalesOf()')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.ListFormat.supportedLocalesOf")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("ListFormat", "Intl.ListFormat")}}</li>
</ul>
